package com.prolog.cs.biz.inbound.model.rqc;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.prolog.framework.bz.core.model.BaseModel;
import com.prolog.framework.core.annotation.AutoKey;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Table;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * @Description
 * @Date 2021-04-02
 */

@ApiModel
@Table(value = "wms_in_rqc_headers", appendDefaultJdbcType = true, camelToUnderline = true)
public class RqcHeaders extends BaseModel implements Serializable {
	private static final long serialVersionUID = 2105231341717883739L;
	@Id
	@AutoKey(type = AutoKey.TYPE_SNOWFLAKE)
	/** 单据id(主键雪花id) **/
	@ApiModelProperty(value = "单据id(主键雪花id)")
	private String rqcHeaderId;

	/** 手工单号 **/
	@ApiModelProperty(value = "手工单号")
	private String customBillNum;

	/** 单据自动号 **/
	@ApiModelProperty(value = "单据自动号")
	private String autoBillNum;

	/** 货主ID(冗余) **/
	@ApiModelProperty(value = "货主ID(冗余)")
	private String mtlOwnerId;

	/** 仓库ID(冗余) **/
	@ApiModelProperty(value = "仓库ID(冗余)")
	private String warehouseId;

	/** 供应商ID(冗余) **/
	@ApiModelProperty(value = "供应商ID(冗余)")
	private String vendorId;

	/** 来源单类型(冗余) **/
	@ApiModelProperty(value = "来源单类型(冗余)")
	private String srcBillType;

	/** 来源单头ID(冗余) **/
	@ApiModelProperty(value = "来源单头ID(冗余)")
	private String srcHeaderId;

	/** ASN头ID(冗余) **/
	@ApiModelProperty(value = "ASN头ID(冗余)")
	private String asnHeaderId;

	/** 收货单头ID **/
	@ApiModelProperty(value = "收货单头ID")
	private String rcvHeaderId;

	/** 单据日期 **/
	@ApiModelProperty(value = "单据日期")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date billDate;

	/** 状态 **/
	@ApiModelProperty(value = "状态")
	private String status;

	/** 备注 **/
	@ApiModelProperty(value = "备注")
	private String remark;

	/** 工作台 **/
	@ApiModelProperty(value = "工作台")
	private String workBench;

	/** 质检员1 **/
	@ApiModelProperty(value = "质检员1")
	private String qcOperator1;

	/** 质检员2 **/
	@ApiModelProperty(value = "质检员2")
	private String qcOperator2;

	/** 数据生成方式（系统自动/人工）部分类型的单据自动生成质检单 **/
	@ApiModelProperty(value = "数据生成方式（系统自动/人工）部分类型的单据自动生成质检单")
	private String dataSrcType;

	// ===========6.2号新加字段=====================================================
	@ApiModelProperty(value = "(新)是否打印上架标签(0否1是)", position = -1109)
	private Integer isInstockPrint;
	
	@ApiModelProperty(value = "(新)验收温度", position = -1110)
	private String rqcTemperature;

	public String getRqcTemperature() {
		return rqcTemperature;
	}

	public void setRqcTemperature(String rqcTemperature) {
		this.rqcTemperature = rqcTemperature;
	}

	public Integer getIsInstockPrint() {
		return isInstockPrint;
	}

	public void setIsInstockPrint(Integer isInstockPrint) {
		this.isInstockPrint = isInstockPrint;
	}

	public String getRqcHeaderId() {
		return this.rqcHeaderId;
	}

	public void setRqcHeaderId(String rqcHeaderId) {
		this.rqcHeaderId = rqcHeaderId;
	}

	public String getCustomBillNum() {
		return this.customBillNum;
	}

	public void setCustomBillNum(String customBillNum) {
		this.customBillNum = customBillNum;
	}

	public String getAutoBillNum() {
		return this.autoBillNum;
	}

	public void setAutoBillNum(String autoBillNum) {
		this.autoBillNum = autoBillNum;
	}

	public String getMtlOwnerId() {
		return this.mtlOwnerId;
	}

	public void setMtlOwnerId(String mtlOwnerId) {
		this.mtlOwnerId = mtlOwnerId;
	}

	public String getWarehouseId() {
		return this.warehouseId;
	}

	public void setWarehouseId(String warehouseId) {
		this.warehouseId = warehouseId;
	}

	public String getVendorId() {
		return this.vendorId;
	}

	public void setVendorId(String vendorId) {
		this.vendorId = vendorId;
	}

	public String getSrcBillType() {
		return this.srcBillType;
	}

	public void setSrcBillType(String srcBillType) {
		this.srcBillType = srcBillType;
	}

	public String getSrcHeaderId() {
		return this.srcHeaderId;
	}

	public void setSrcHeaderId(String srcHeaderId) {
		this.srcHeaderId = srcHeaderId;
	}

	public String getAsnHeaderId() {
		return this.asnHeaderId;
	}

	public void setAsnHeaderId(String asnHeaderId) {
		this.asnHeaderId = asnHeaderId;
	}

	public String getRcvHeaderId() {
		return this.rcvHeaderId;
	}

	public void setRcvHeaderId(String rcvHeaderId) {
		this.rcvHeaderId = rcvHeaderId;
	}

	public Date getBillDate() {
		return this.billDate;
	}

	public void setBillDate(Date billDate) {
		this.billDate = billDate;
	}

	public String getStatus() {
		return this.status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public String getRemark() {
		return this.remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public String getWorkBench() {
		return this.workBench;
	}

	public void setWorkBench(String workBench) {
		this.workBench = workBench;
	}

	public String getQcOperator1() {
		return this.qcOperator1;
	}

	public void setQcOperator1(String qcOperator1) {
		this.qcOperator1 = qcOperator1;
	}

	public String getQcOperator2() {
		return this.qcOperator2;
	}

	public void setQcOperator2(String qcOperator2) {
		this.qcOperator2 = qcOperator2;
	}

	public String getDataSrcType() {
		return this.dataSrcType;
	}

	public void setDataSrcType(String dataSrcType) {
		this.dataSrcType = dataSrcType;
	}

}
